@media (min-width: 640px) {

    .sm\:left-32 {
        left: 8rem;
    }

    .sm\:order-none {
        order: 0;
    }

    .sm\:my-12 {
        margin-top: 3rem;
        margin-bottom: 3rem;
    }

    .sm\:mx-14 {
        margin-left: 3.5rem;
        margin-right: 3.5rem;
    }

    .sm\:mx-0 {
        margin-left: 0px;
        margin-right: 0px;
    }

    .sm\:mt-0 {
        margin-top: 0px;
    }

    .sm\:mr-2\.5 {
        margin-right: 0.625rem;
    }

    .sm\:mr-2 {
        margin-right: 0.5rem;
    }

    .sm\:block {
        display: block;
    }

    .sm\:\!block {
        display: block !important;
    }

    .sm\:inline-block {
        display: inline-block;
    }

    .sm\:flex {
        display: flex;
    }

    .sm\:\!hidden {
        display: none !important;
    }

    .sm\:hidden {
        display: none;
    }

    .sm\:w-3\/4 {
        width: 75%;
    }

    .sm\:w-auto {
        width: auto;
    }

    .sm\:basis-3\/5 {
        flex-basis: 60%;
    }

    .sm\:basis-1\/4 {
        flex-basis: 25%;
    }

    .sm\:basis-2\/3 {
        flex-basis: 66.666667%;
    }

    .sm\:basis-1\/3 {
        flex-basis: 33.333333%;
    }

    .sm\:-translate-y-2\/4 {
        --tw-translate-y: -50%;
        transform: translate(var(--tw-translate-x), var(--tw-translate-y)) rotate(var(--tw-rotate)) skewX(var(--tw-skew-x)) skewY(var(--tw-skew-y)) scaleX(var(--tw-scale-x)) scaleY(var(--tw-scale-y));
    }

    .sm\:columns-4 {
        -moz-columns: 4;
        columns: 4;
    }

    .sm\:grid-cols-2 {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }

    .sm\:grid-cols-3 {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    .sm\:grid-cols-4 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }

    .sm\:flex-row {
        flex-direction: row;
    }

    .sm\:gap-6 {
        gap: 1.5rem;
    }

    .sm\:gap-12 {
        gap: 3rem;
    }

    .sm\:p-7 {
        padding: 1.75rem;
    }

    .sm\:px-24 {
        padding-left: 6rem;
        padding-right: 6rem;
    }

    .sm\:py-16 {
        padding-top: 4rem;
        padding-bottom: 4rem;
    }

    .sm\:px-20 {
        padding-left: 5rem;
        padding-right: 5rem;
    }

    .sm\:px-4 {
        padding-left: 1rem;
        padding-right: 1rem;
    }

    .sm\:px-8 {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .sm\:px-6 {
        padding-left: 1.5rem;
        padding-right: 1.5rem;
    }

    .sm\:py-12 {
        padding-top: 3rem;
        padding-bottom: 3rem;
    }

    .sm\:pt-0 {
        padding-top: 0px;
    }

    .sm\:pt-8 {
        padding-top: 2rem;
    }

    .sm\:pt-7 {
        padding-top: 1.75rem;
    }

    .sm\:pb-16 {
        padding-bottom: 4rem;
    }

    .sm\:pr-8 {
        padding-right: 2rem;
    }

    .sm\:text-8xl {
        font-size: 6rem;
        line-height: 1;
    }

    .sm\:text-6xl {
        font-size: 3.75rem;
        line-height: 1;
    }

    .sm\:text-4xl {
        font-size: 2.25rem;
        line-height: 2.5rem;
    }
}

@media (min-width: 1024px) {

    .lg\:grid-cols-3 {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }

    .lg\:px-24 {
        padding-left: 6rem;
        padding-right: 6rem;
    }

    .lg\:pt-20 {
        padding-top: 5rem;
    }
}

@media (min-width: 1536px) {

    .\32xl\:grid-cols-4 {
        grid-template-columns: repeat(4, minmax(0, 1fr));
    }

    .\32xl\:px-8 {
        padding-left: 2rem;
        padding-right: 2rem;
    }
}

@media (max-width: 1400px) {
    .navbar-full .navbar-nav {
        flex-wrap: wrap;
    }
    .categories_miny {
        width: 80px;
        height: 80px;
        position: relative;
    }
}

@media (max-width: 1200px) {
    .navbar .nav_dropdown .dropdown-menu {
        display: none;
    }

    .navbar .nav_dropdown._active .dropdown-menu {
        display: flex;
    }

    .navbar-light .navbar-toggler {
        display: none;
    }

    div#navbarCollapse {
        flex-basis: 25%;
        flex-grow: 0;
    }

    .tradingview-widget-container {
        max-width: 100%;
    }
    iframe {
        max-width: 100%;
    }

    .desctop-block {
        display: none;
    }
    .mobile-block-iframe {
        display: block;
    }
    a.header__choose {
        color: #ffffff;
        font-weight: 500;
    }
    .header__lang {
        background: #000000b5;
        padding: 0px 2px;
        border: 1px solid #ffd128;
        border-radius: 5px;
    }
    a.header__choose.active {
        color: #b5b5b5;
    }
}

@media (max-width: 992px) {
    .logo_head {
        display: block;
    }
    .info-right{
        display: none;
    }
    .info-right .mobile_language{
        display: flex;
    }
    .info-right .btn-md-square {
        width: 29px;
        height: 29px;
        background: #81676700;
        border: none;
    }
    .info-tables {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }
    .navbar-expand-xl {
        flex-wrap: nowrap;
        justify-content: space-between;
        width: 100%;
        display: flex;
    }
    .info-tables {
        display: flex;
        padding-right: 10px;
    }
    .info-tables .d-flex {
        display: flex !important;
        justify-content: center;
    }
    .info-tables a.btn.btn-md-square.rounded-circle {
        background: #38b0e3;
        width: 30px;
        height: 30px;
    }
}

@media (max-width: 768px) {
    .navbar-light button.navbar-toggler.py-2.px-3 {
        display: block;
    }

    .navbar .nav_dropdown .dropdown-menu {
        display: none;
    }
    .navbar .nav_dropdown._active .dropdown-menu {
        display: flex;
    }
    .parent_page {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .container-fluid.bg-light {
        position: fixed;
    }

    .features {
        padding-top: 55px;
    }

    ol.breadcrumb.justify-content-start.mb-4 {
        padding-top: 55px;
    }

    .container.py-5 {
        padding-top: 0rem !important;
        padding-bottom: 1rem !important;
    }

    .container-fluid.py-5 {
        padding-top: 2rem !important;
    }

    nav.navbar.navbar-full {
        position: fixed;
        top: 0px;
        left: 0px;
        height: 100%;
        width: 100%;
        background: white;
        display: none;
        align-items: flex-start;
        padding-top: 0;
        padding-bottom: 0;
    }

    nav.navbar.navbar-full.active {
        display: flex;
    }

    .navbar-full .navbar-nav {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        width: 100%;
        overflow-x: auto;
        background: #767676;
        flex-wrap: nowrap;
        align-content: flex-start;
        padding: 30px 10px;
        overflow-y: auto;
        height: 100%;
    }

    .navbar-nav .dropdown-menu {
        position: relative;
        display: flex;
        flex-direction: column;
        gap: 5px;
        padding: 15px;
    }

    .close-navbar {
        position: absolute;
        right: 10px;
        top: 10px;
    }

    .close-navbar svg {
        width: 45px;
        color: white;
    }

    .navbar .navbar-nav .nav-link {
        font-size: 22px;
    }

    .nav_dropdown .nav-item i {
        transform: rotate(90deg);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .nav_dropdown._active .nav-item i{
        transform: rotate(-90deg);
    }

    .dropdown-link {
        font-size: 18px;
    }

    div#navbarCollapse {
        display: none;
    }

    .logo_head {
        display: block;
    }

    .logo_head img {
        max-width: 76px;
    }

    .align-items-center .features-content a {
        display: -webkit-box;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow-y: hidden;
    }

    .desc_articles {
        display: none;
    }

    .mobile-block {
        width: 50%;
        padding: 0;
    }

    .categories_miny {
        width: 35px;
        height: 35px;
        position: relative;
    }

    .features-item .col-4 {
        flex: 0 0 auto;
        width: 29.333333%;
        margin-top: 15px;
    }

    .features-item .col-8 {
        flex: 0 0 auto;
        width: 70.6666666667%;
        margin-top: 15px;
    }

    .features-item .text-uppercase {
        font-size: 12px;
        margin-bottom: 0px !important;
    }

    .align-items-center .features-content a {
        font-size: 14px;
    }

    .items-wrap {
        display: block;
    }

    .info-right{
        display: flex;
    }
    .info-right .mobile_language{
        display: flex;
    }
    .info-right .btn-md-square {
        width: 29px;
        height: 29px;
        background: #81676700;
        border: none;
    }

    .info-tables {
        display: none;
    }

    .col-12.info-col {
        width: 50%;
    }
    .info-col .row.g-4.align-items-center {
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
    }
    .info-col .row.g-4.align-items-center .col-3 {
        flex: 0 0 auto;
        width: 100%;
    }
    .info-col .row.g-4.align-items-center .col-9 {
        flex: 0 0 auto;
        width: 100%;
        margin-top: 5px;
    }
    .info-col .row.g-4.align-items-center .col-3 .img-zoomin {
        transition: 0.5s;
        max-height: 90px;
        width: auto !important;
    }
    .info-col  .features-content a {
        font-size: 18px;
    }
    .text_arrticles img{
        width: 100%!important;
        height: auto!important;
    }
    .text_arrticles .coinmarketcap-currency-widget img {
        width: auto!important;
        height: auto!important;
    }
    .text_arrticles  .coinPriceBlock__icon>img {
        width: auto!important;
        height: auto!important;
    }
    .coinPriceBlock-currency img {
        width: 22px!important;
        height: auto!important;
    }
    .text_arrticles div.coinmarketcap-currency-widget{
        padding-bottom: 15px;
    }
    #coinmarketcap-widget-marquee {
        padding-bottom: 15px;
    }

    .marquee {
        animation: scroll 10s linear infinite;
    }
}
